## csvkit 2.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/csvkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/csvkit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/csvkit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/csvkit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## csvkit 0.9.1

=== debian/changelog ===
csvkit (0.9.1-2) unstable; urgency=medium

  * debian/patches/dependencies-greater-or-equal.patch
    - set python modules dependecies to 'greater or equal' instead of strictly
      'equal'; patch by Alexandre Viau; Closes: #790913

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Aug 2015 07:54:38 +0100

csvkit (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #790699)

 -- Sandro Tosi <morph@debian.org>  Tue, 30 Jun 2015 18:25:47 -0400

=== debian/control ===
Source: csvkit
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/onyxfish/csvkit
Vcs-Git: git://anonscm.debian.org/python-modules/packages/csvkit.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/csvkit.git/

Package: python-csvkit
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-openpyxl, python-dbf
Description: library of utilities for working with CSV
 csvkit is a suite of utilities for converting to and working with CSV, the king
 of tabular file formats.
 .
 It is inspired by pdftk, gdal and the original csvcut utility by Joe Germuska
 and Aaron Bycoffe.
 .
 The command-line tools are provided by the python3-csvkit package.

Package: python3-csvkit
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python3-openpyxl, python3-dbf
Description: library of utilities for working with CSV (Python 3)
 csvkit is a suite of utilities for converting to and working with CSV, the king
 of tabular file formats.
 .
 It is inspired by pdftk, gdal and the original csvcut utility by Joe Germuska
 and Aaron Bycoffe.
 .
 This package contains the Python3 version of csvkit and the command-line tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_install:
	python  setup.py install --install-layout=deb --root=$(CURDIR)/debian/python-csvkit
	# cli tools are provided only by the py3k package
	rm -rf $(CURDIR)/debian/python-csvkit/usr/bin
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/python3-csvkit

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/csvkit/csvkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## csvkit 1.0.2

=== debian/changelog ===
csvkit (1.0.2-1) unstable; urgency=medium

  * Drop git-dpm and leave patches unapplied
  * Add recommended gbp configuration
  * Source future releases from GitHub
  * New upstream version 1.0.2 (Closes: #857352)
  * Drop the patch queue, no longer required
  * Update copyright information
    - Use HTTPS for the Format URI
    - Bump upstream copyright years
    - Rename the MIT license to Expat
  * Reformat the control file using cme
  * Move source package to utils section
  * Provide the cli in new binary package
    - New binary package: csvkit
    - New build dependencies: python3-agate{,dbf,excel,sql} and python3-six
    - Remove python-csvkit since agate is only available for Python 3
    - Sychronize the package descriptions with upstream
    - Use pybuild as the build system
  * Provide the docs in new binary package
    - New binary package: csvkit-doc
    - New build dependencies: python3-doc and python3-sphinx{,rtd-theme}
    - New patches: Use-the-packaged-docs.patch and No-privacy-breach.patch
    Thanks to Craig Sanders for reporting (Closes: #850583)
  * Enable testing during build
  * Add autopkgtest test suite
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Support the nocheck and nodoc build profiles
  * Adopt the package
    - Transfer maintenance to the Debian Science Team
    - Add myself to the list of uploaders
    - Add myself to the copyright holders
    - Move packaging to salsa.debian.org (Closes: #888075)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 01 Feb 2018 09:59:49 +0000

csvkit (0.9.1-3) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - adjust Vcs-Browser to DPMT standards
    - explicitly add python3-pkg-resources to deps on python3-csvkit, needed to
      run CLI utils; Closes: #820694
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Apr 2016 00:25:56 +0100

=== debian/control ===
Source: csvkit
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-agate <!nocheck>,
               python3-agatedbf <!nocheck>,
               python3-agateexcel <!nocheck>,
               python3-agatesql <!nocheck>,
               python3-all,
               python3-doc <!nodoc>,
               python3-setuptools,
               python3-six <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/csvkit
Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
Homepage: https://github.com/wireservice/csvkit

Package: csvkit
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-csvkit
Breaks: python3-csvkit (<< 1.0.2-1)
Replaces: python3-csvkit (<< 1.0.2-1)
Suggests: csvkit-doc <!nodoc>
Description: command-line tools for working with CSV
 csvkit is a suite of command-line tools for converting to and working with
 CSV, the king of tabular file formats.
 .
 It is inspired by pdftk, gdal and the original csvcut tool by Joe Germuska and
 Aaron Bycoffe.
 .
 If you need to do more complex data analysis than csvkit can handle, use
 agate.
 .
 This package provides the command-line tools.

Package: csvkit-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for csvkit
 csvkit is a suite of command-line tools for converting to and working with
 CSV, the king of tabular file formats.
 .
 It is inspired by pdftk, gdal and the original csvcut tool by Joe Germuska and
 Aaron Bycoffe.
 .
 If you need to do more complex data analysis than csvkit can handle, use
 agate.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-csvkit
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Description: public modules for csvkit (Python 3)
 csvkit is a suite of command-line tools for converting to and working with
 CSV, the king of tabular file formats.
 .
 It is inspired by pdftk, gdal and the original csvcut tool by Joe Germuska and
 Aaron Bycoffe.
 .
 If you need to do more complex data analysis than csvkit can handle, use
 agate.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=csvkit
export PYBUILD_BEFORE_TEST=cp -r examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_test:
	LC_ALL=C.UTF-8 dh_auto_test

override_dh_install:
	dh_install
	dh_movefiles --package=csvkit --sourcedir=debian/python3-csvkit usr/bin/*

## csvkit 1.0.5

=== debian/changelog ===
csvkit (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * Adding missing versioned dependency on python3-agate (Closes: #969550).

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Oct 2020 11:02:16 -0400

csvkit (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.5
  * Refreshing No-privacy-breach.patch.
  * Requires python3-agatesql (>= 0.5.3).
  * Updating debian/copyright.
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Aug 2020 02:02:12 -0400

csvkit (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Producing manpages with help2man.
  * Removing stdin_out.csv from Python package.
  * Removing csvkit.egg-info in dh_auto_clean.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Nov 2019 02:23:57 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               python3-agate <!nocheck>,
+               help2man,
+               python3-agate (>= 1.6.1) <!nocheck>,
                python3-agatedbf <!nocheck>,
                python3-agateexcel <!nocheck>,
-               python3-agatesql <!nocheck>,
+               python3-agatesql (>= 0.5.3) <!nocheck>,
                python3-all,
                python3-doc <!nodoc>,
                python3-setuptools,
@@ -21,6 +22,7 @@
 Vcs-Browser: https://salsa.debian.org/science-team/csvkit
 Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
 Homepage: https://github.com/wireservice/csvkit
+Rules-Requires-Root: no
 
 Package: csvkit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf csvkit.egg-info
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C docs clean
 endif
@@ -27,3 +28,12 @@
 override_dh_install:
 	dh_install
 	dh_movefiles --package=csvkit --sourcedir=debian/python3-csvkit usr/bin/*
+	find debian/python3-csvkit/ -name stdin_out.csv | xargs --no-run-if-empty rm
+
+override_dh_installman:
+	mkdir debian/manpages
+	for FILE in debian/csvkit/usr/bin/*; \
+		do PYTHONPATH=. help2man $${FILE} > debian/manpages/$$(basename $${FILE}).1; \
+		dh_installman debian/manpages/$$(basename $${FILE}).1; \
+	done
+	rm -rf debian/manpages

## csvkit 1.0.6

=== debian/changelog ===
csvkit (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.6
  * Refreshing patches.
  * Updating copyright years.
  * Adding versioned depends on python3-agatedbf.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Sep 2021 02:10:47 -0400

## csvkit 1.0.7

=== debian/changelog ===
csvkit (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.7
  * Bump copyright years.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Sun, 20 Mar 2022 04:50:05 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
                help2man,
                python3-agate (>= 1.6.1) <!nocheck>,
-               python3-agatedbf <!nocheck>,
+               python3-agatedbf (>= 0.2.2) <!nocheck>,
                python3-agateexcel <!nocheck>,
                python3-agatesql (>= 0.5.3) <!nocheck>,
                python3-all,

## csvkit 1.1.1

=== debian/changelog ===
csvkit (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 20:21:34 -0700

csvkit (1.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.1.1 (Closes: #1032820)
  * Add patch to adjust for locale-specific upstream tests
  * Bump Standards-Version to 4.6.2
  * debian/control: Remove Built-Using from cvskit-doc (lintian)
  * csvkit now depends on python3-csvkit of the same package version

 -- tony mancill <tmancill@debian.org>  Sun, 12 Mar 2023 10:52:43 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/csvkit
 Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
 Homepage: https://github.com/wireservice/csvkit
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-csvkit
+         python3-csvkit (= ${binary:Version})
 Breaks: python3-csvkit (<< 1.0.2-1)
 Replaces: python3-csvkit (<< 1.0.2-1)
 Suggests: csvkit-doc <!nodoc>
@@ -50,7 +50,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for csvkit
  csvkit is a suite of command-line tools for converting to and working with
  CSV, the king of tabular file formats.

## csvkit 1.4.0

=== debian/changelog ===
csvkit (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * Refresh patches for new upstream release
  * Remove build-dep on python3-six (Closes: #1064614)
  * Add build-dep on furo
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 25 Feb 2024 14:07:55 -0800

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
+               furo,
                help2man,
                python3-agate (>= 1.6.1) <!nocheck>,
                python3-agatedbf (>= 0.2.2) <!nocheck>,
@@ -14,7 +15,6 @@
                python3-all,
                python3-doc <!nodoc>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common

## csvkit 1.5.0

=== debian/changelog ===
csvkit (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0
    Adds support for .zst files if python3-zstandard is installed.
  * Bump Standards-Version to 4.7.0
  * Add python3-zstandard to Recommends.

 -- tony mancill <tmancill@debian.org>  Sun, 30 Jun 2024 21:41:52 -0700

## csvkit 2.0.1

=== debian/changelog ===
csvkit (2.0.1-3) unstable; urgency=medium

  * Team upload.
  * Upload version 2.0.1 to unstable
    See the upstream changelog for changes to cvsclean behavior in 2.x:
    https://csvkit.readthedocs.io/en/latest/changelog.html#may-1-2024

 -- tony mancill <tmancill@debian.org>  Sun, 18 Aug 2024 12:02:57 -0700

csvkit (2.0.1-2) experimental; urgency=medium

  * Team upload.
  * No longer ship duplicate manpages in python3-csvkit (Closes: #1076681)
  * Use upstream manpages instead of generating them with help2man

 -- tony mancill <tmancill@debian.org>  Sun, 21 Jul 2024 21:17:53 -0700

csvkit (2.0.1-1) experimental; urgency=medium

  * New upstream version 2.0.1
  * Upload to experimental because 2.0.0 includes breaking changes.
    See https://github.com/wireservice/csvkit/blob/master/CHANGELOG.rst
    2.x will be the target for the trixie release.

 -- tony mancill <tmancill@debian.org>  Sat, 20 Jul 2024 15:19:13 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/csvkit
 Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
 Homepage: https://github.com/wireservice/csvkit
@@ -31,6 +31,7 @@
          python3-csvkit (= ${binary:Version})
 Breaks: python3-csvkit (<< 1.0.2-1)
 Replaces: python3-csvkit (<< 1.0.2-1)
+Recommends: python3-zstandard
 Suggests: csvkit-doc <!nodoc>
 Description: command-line tools for working with CSV
  csvkit is a suite of command-line tools for converting to and working with

=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,6 @@
 override_dh_install:
 	dh_install
 	dh_movefiles --package=csvkit --sourcedir=debian/python3-csvkit usr/bin/*
+	dh_movefiles --package=csvkit --sourcedir=debian/python3-csvkit usr/share/man/*
+	find debian/python3-csvkit/usr/share/man -type d -empty -delete
 	find debian/python3-csvkit/ -name stdin_out.csv | xargs --no-run-if-empty rm
-
-override_dh_installman:
-	mkdir debian/manpages
-	for FILE in debian/csvkit/usr/bin/*; \
-		do PYTHONPATH=. help2man $${FILE} > debian/manpages/$$(basename $${FILE}).1; \
-		dh_installman debian/manpages/$$(basename $${FILE}).1; \
-	done
-	rm -rf debian/manpages

## csvkit 2.1.0

=== debian/changelog ===
csvkit (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * Upload version 2.1.0 to unstable.

 -- tony mancill <tmancill@debian.org>  Sun, 26 Oct 2025 10:26:15 -0700

csvkit (2.1.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.1.0
  * Require python3-agate (>= 1.13.0)
  * Set LANGUAGE when running tests to avoid FTBFS on reproducible builds.
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2
  * Upload to experimental (during the trixie freeze)

 -- tony mancill <tmancill@debian.org>  Sun, 22 Jun 2025 10:31:02 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dpkg-dev (>= 1.17.14),
                furo,
                help2man,
-               python3-agate (>= 1.6.1) <!nocheck>,
+               python3-agate (>= 1.13.0) <!nocheck>,
                python3-agatedbf (>= 0.2.2) <!nocheck>,
                python3-agateexcel <!nocheck>,
                python3-agatesql (>= 0.5.3) <!nocheck>,
@@ -18,7 +18,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/csvkit
 Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
 Homepage: https://github.com/wireservice/csvkit

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=csvkit
 export PYBUILD_BEFORE_TEST=cp -r examples {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -23,7 +24,7 @@
 endif
 
 override_dh_auto_test:
-	LC_ALL=C.UTF-8 dh_auto_test
+	LC_ALL=C.UTF-8 LANGUAGE=en_US:en dh_auto_test
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r examples tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-csvkit,
         python3-pytest

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/csvkit-$1\.tar\.gz/ \
  https://github.com/wireservice/csvkit/tags .*/v?@ANY_VERSION@\.tar\.gz

## csvkit 2.2.0

=== debian/changelog ===
csvkit (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Dec 2025 16:07:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dpkg-dev (>= 1.17.14),
                furo,
                help2man,
+               pybuild-plugin-pyproject,
                python3-agate (>= 1.13.0) <!nocheck>,
                python3-agatedbf (>= 0.2.2) <!nocheck>,
                python3-agateexcel <!nocheck>,
@@ -22,7 +23,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/csvkit
 Vcs-Git: https://salsa.debian.org/science-team/csvkit.git
 Homepage: https://github.com/wireservice/csvkit
-Rules-Requires-Root: no
 
 Package: csvkit
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: wireservice
Project: csvkit
